#!/usr/bin/python
import unittest
import inspect
import subprocess

class Anselm(unittest.TestCase):

    def test_si_units(self):
        '''test SI units are separated from numbers'''
        task = subprocess.Popen("find ../docs.it4i/ -name '*.md' -exec grep -i --color '[0-9][PTGMk]B' {} +;", stdout=subprocess.PIPE, shell=True)
        output, error = task.communicate()
        self.assertEqual(len(output.splitlines()),0)

    def test_double_spaces(self):
        '''test double spaces'''
        task = subprocess.Popen("find ../docs.it4i/ -name '*.md' -exec grep '[[:alpha:]]  [[:alpha:]]' -l {} +", stdout=subprocess.PIPE, shell=True)
        output, error = task.communicate()
        self.assertEqual(len(output.splitlines()),0)

def main():
    print "\033[34m%s\n%s\n%s\033[0m\n" % ('-' * 70, '-= Anselm Cluster Main Test Suite =-', '-' * 70)
    unittest.main()
    #suite = unittest.TestLoader().loadTestsFromTestCase(Anselm)
    #unittest.TextTestRunner(verbosity=2).run(suite)

if __name__ == "__main__":
    main()
